package com.friday.distributor.mapper;

import com.github.pagehelper.Page;
import com.friday.distributor.bean.JobInvokeFilter;
import com.friday.distributor.po.JobInvoke;
import com.friday.operation.api.distributor.dto.TaieTaskRecord;
import com.friday.operation.api.distributor.dto.TaieTaskRecordFilter;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface JobInvokeMapper {
    void insertJobInvoke(JobInvoke job);
    void updateJobInvoke(JobInvoke job);
    JobInvoke selectJobById(Integer invokeId);
    List<JobInvoke> selectJobByTaskId(String taskId);
    List<JobInvoke> selectJobs(JobInvokeFilter filter);
    Page<TaieTaskRecord> selectTaskRecordByPage(TaieTaskRecordFilter filter);
}
